@echo off
echo.|date|find "Current" >cu##ent.bat
echo set date=%%4> current.bat
:: At this point cu##ent.bat contains a line like
:: Current date is Wed 10-06-1999
:: in the US or
:: Current date is Wed 06/10/1999
:: in the UK. But we must remove UK slashes! They
:: always occur in the same place, so we use DEBUG 
:: to ensure they are harmless US style dashes.
echo e 116 "-" > script
echo e 119 "-" >> script
echo w >> script
echo q >> script
type script | debug cu##ent.bat > nul
del script > nul
call cu##ent.bat